QGIS Application - Bug report #6194
QgsRectangle expand uses wrong factor
2012-08-14 06:54 AM - Magnus Homann

Status: Closed

Priority: Normal

Assignee: Magnus Homann

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15508
Description

The expand( scaleFactor ) function in QgsRectangle does not work as expected with a scale factor. Patch and test case is on the way! :-)

History

#1 - 2012-08-15 07:53 AM - Magnus Homann

- File issue6194.patch added

- Status changed from Open to Closed

- Pull Request or Patch supplied changed from No to Yes

Here's a patch with test case, someone please review and commit?

#2 - 2012-08-15 07:53 AM - Magnus Homann

- Status changed from Closed to Reopened

#3 - 2012-08-15 07:18 PM - Tim Sutton

I'm testing your patch and will apply afterwards. Thanks!

Tim

#4 - 2012-08-15 07:56 PM - Tim Sutton

Hi

So just one issue - the ggsrect.sip expand method is missing.

/home/timlinux/dev/cpp/Quantum-GIS/build-gt-creator/python/core/sipcorepart2.cpp: In function ‘PyObject*
meth_QgsRectangle_expand(PyObject*, PyObject*)”:
/home/timlinux/dev/cpp/Quantum-GIS/build-gt-creator/python/core/sipcorepart2.cpp:2513:21: error: ‘class QgsRectangle’ has no member named
‘expand’

make[2]: *** [python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart2.cpp.o] Error 1

make[1]: *** [python/CMakeFiles/python_module_qgis_core.dir/all] Error 2

make: *** [all] Error 2
#5 - 2012-08-15 10:51 PM - Magnus Homann

There were two functions in QgsRectangle, scale() and expand(). The only difference is that expand() used scalefactor*2(!). So | tried performing some
API cleanup, but forgot to remove the SIP (becasue | wasn't using bindings).

If touching APl is a no-no, | will of course put the function back, else | propose a clean-up. Please advise. :-)

#6 - 2012-08-16 01:44 AM - Jiirgen Fischer

Magnus Homann wrote:

There were two functions in QgsRectangle, scale() and expand(). The only difference is that expand() used scalefactor*2(!). So I tried performing
some API cleanup, but forgot to remove the SIP (becasue | wasn't using bindings).

If touching APl is a no-no, | will of course put the function back, else | propose a clean-up. Please advise. :-)

You could deprecate expand() first - and still call scale() in it to cleanup. Is it correct that you double the scale in qgsidentifyresults.cpp and

ggsmapcanvas.cpp, but divide it by two in gqgsmaptoolzoom.cpp? BTW the latter change, obviously wasn't run through prepare-commit.sh

#7 - 2012-08-16 03:10 AM - Magnus Homann

Thanks for the feedback! How do | mark a function as depreciated?

#8 - 2012-08-16 07:26 AM - Jiirgen Fischer

Magnus Homann wrote:

Thanks for the feedback! How do | mark a function as depreciated?

UTSM ;) We have a couple of deprecated functions already. Look for Q_DECL_DEPRECATED (C++) and /Deprecated/ (SIP).

#9 - 2012-08-17 02:41 AM - Magnus Homann
- Pull Request or Patch supplied changed from Yes to No

I've made a pull request on GitHub on this issue now. It's my first... :-)

#10 - 2012-08-17 02:41 AM - Magnus Homann

- File deleted (issue6194.patch)

#11 - 2012-08-17 01:17 PM - Magnus Homann

- Status changed from Reopened to Closed

Fix merged in b7e6e64f0ff85e4a541f29a52b57409da3a6548d
https://github.com/qgis/Quantum-GIS/pull/202
